package com.sifang.modules.supply.warehouse.vo;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.util.List;

public class OutAllocationOrderVo {

    @NotBlank(message = "id 不能为空")
    private String id;

    private String deliveryMethod;

    private String logisticsNo;

    private String examineRemark;

    @NotBlank(message = "接货单 不能为空")
    private String receivingImg;

    private String deliverDriver;
    private String deliverMobile;
    private String deliverCarNum;

    public String getDeliverDriver() {
        return deliverDriver;
    }

    public void setDeliverDriver(String deliverDriver) {
        this.deliverDriver = deliverDriver;
    }

    public String getDeliverMobile() {
        return deliverMobile;
    }

    public void setDeliverMobile(String deliverMobile) {
        this.deliverMobile = deliverMobile;
    }

    public String getDeliverCarNum() {
        return deliverCarNum;
    }

    public void setDeliverCarNum(String deliverCarNum) {
        this.deliverCarNum = deliverCarNum;
    }

    @Valid
    @NotEmpty(message = "物料不能为空")
    private List<OutAllocationMaterialVo> details;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDeliveryMethod() {
        return deliveryMethod;
    }

    public void setDeliveryMethod(String deliveryMethod) {
        this.deliveryMethod = deliveryMethod;
    }

    public String getLogisticsNo() {
        return logisticsNo;
    }

    public void setLogisticsNo(String logisticsNo) {
        this.logisticsNo = logisticsNo;
    }

    public String getExamineRemark() {
        return examineRemark;
    }

    public void setExamineRemark(String examineRemark) {
        this.examineRemark = examineRemark;
    }

    public String getReceivingImg() {
        return receivingImg;
    }

    public void setReceivingImg(String receivingImg) {
        this.receivingImg = receivingImg;
    }

    public List<OutAllocationMaterialVo> getDetails() {
        return details;
    }

    @Override
    public String toString() {
        return "OutAllocationOrderVo{" +
                "id='" + id + '\'' +
                ", deliveryMethod='" + deliveryMethod + '\'' +
                ", logisticsNo='" + logisticsNo + '\'' +
                ", examineRemark='" + examineRemark + '\'' +
                ", receivingImg='" + receivingImg + '\'' +
                ", details=" + details +
                '}';
    }

    public void setDetails(List<OutAllocationMaterialVo> details) {
        this.details = details;
    }
}
